Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Basic authentication where:

  • user-id is a partner account ID
  • user-password is an API key token associated with the partner account

Query Parameters

filter[check_in_date]
string<date>

Filter by check_in_date (shorthand for eq). Value must be a date in YYYY-MM-DD format.

filter[check_in_date][gt]
string<date>

Filter for check_in_date greater than the given date.

filter[check_in_date][gte]
string<date>

Filter for check_in_date greater than or equal to the given date. Combine with filter[check_in_date][lte] for a range.

filter[check_in_date][lt]
string<date>

Filter for check_in_date less than the given date.

filter[check_in_date][lte]
string<date>

Filter for check_in_date less than or equal to the given date. Combine with filter[check_in_date][gte] for a range.

filter[check_out_date]
string<date>

Filter by check_out_date (shorthand for eq). Value must be a date in YYYY-MM-DD format.

filter[check_out_date][gt]
string<date>

Filter for check_out_date greater than the given date.

filter[check_out_date][gte]
string<date>

Filter for check_out_date greater than or equal to the given date. Combine with filter[check_out_date][lte] for a range.

filter[check_out_date][lt]
string<date>

Filter for check_out_date less than the given date.

filter[check_out_date][lte]
string<date>

Filter for check_out_date less than or equal to the given date. Combine with filter[check_out_date][gte] for a range.

filter[id]
string

Filter by a single reservation id (eq only).

filter[id][]
string[]

Filter by multiple reservation ids (OR semantics across the given ids).

filter[custom_data][]
string[]

Matches a reservation if ANY given value appears under ANY key of the custom_data object it was created with (OR semantics). Allows up to 5 values per request. Values are strings with a max-length of 128 characters. Allowable characters are any except: greater-than symbol (>), less-than symbol (<), double quote("), single quote(') or backslash (\). String values that look like numbers or booleans (for example "42" or "true") also match tags that were stored as numbers or booleans.

page
integer

Page number, starting at 1. Defaults to 1.

page_size
integer

Number of items per page. Defaults to 25.

Response

OK

total_items_without_paging
integer

Total number of matching reservations before paging is applied.

Example:

42

items
object[]

The requested page of matching reservations.